
From: Tom Duffy <thomas.duffy.99@alumni.brown.edu>

This patch add stubs to allow the visws subarch to link again.

Signed-off-by: Tom Duffy <thomas.duffy.99@alumni.brown.edu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/mach-visws/setup.c |    2 ++
 arch/i386/pci/visws.c        |    2 ++
 2 files changed, 4 insertions(+)

diff -puN arch/i386/mach-visws/setup.c~visws-linkage-fix arch/i386/mach-visws/setup.c
--- devel/arch/i386/mach-visws/setup.c~visws-linkage-fix	2005-08-07 00:09:45.000000000 -0700
+++ devel-akpm/arch/i386/mach-visws/setup.c	2005-08-07 00:09:45.000000000 -0700
@@ -14,6 +14,8 @@
 #include "cobalt.h"
 #include "piix4.h"
 
+int no_broadcast;
+
 char visws_board_type = -1;
 char visws_board_rev = -1;
 
diff -puN arch/i386/pci/visws.c~visws-linkage-fix arch/i386/pci/visws.c
--- devel/arch/i386/pci/visws.c~visws-linkage-fix	2005-08-07 00:09:45.000000000 -0700
+++ devel-akpm/arch/i386/pci/visws.c	2005-08-07 00:09:45.000000000 -0700
@@ -18,8 +18,10 @@
 extern struct pci_raw_ops pci_direct_conf1;
 
 static int pci_visws_enable_irq(struct pci_dev *dev) { return 0; }
+static void pci_visws_disable_irq(struct pci_dev *dev) { }
 
 int (*pcibios_enable_irq)(struct pci_dev *dev) = &pci_visws_enable_irq;
+void (*pcibios_disable_irq)(struct pci_dev *dev) = &pci_visws_disable_irq;
 
 void __init pcibios_penalize_isa_irq(int irq, int active) {}
 
_
